module Common
    ( module Data.Functor
    , module Data.Sort
    , module Data.String
    , module System.FilePath
    , module Achille
    , module Achille.Task.Pandoc
    , module Data.Text
    , module Control.Monad
    , module Data.Maybe
    , module Lucid
    , module Data.Binary
    , module GHC.Generics
    , module Data.Aeson.Types
    , toDate
    ) where

import Achille
import Achille.Task.Pandoc

import Data.Time        (UTCTime, defaultTimeLocale, formatTime, rfc822DateFormat)
import Data.Aeson.Types (FromJSON)
import GHC.Generics     (Generic)
import Data.Binary      (Binary)
import Data.Functor     ((<&>))
import Control.Monad    (forM_, when)
import Data.Sort        (sort)
import Data.String      (fromString)
import Data.Text        (Text)
import Data.Maybe       (fromMaybe, mapMaybe)
import System.FilePath
import Lucid            (Html)

toDate :: UTCTime -> String
toDate = formatTime defaultTimeLocale rfc822DateFormat
